title: "[[this]] over time"
transient_title: Here''s a closer look at your [[this]] over time
description: Whether or not there are any patterns to when they happen.
applies_to: TransactionTable
metrics:
  - Count: ["count"]
dimensions:
- Timestamp:
    field_type: CreationTimestamp
- Timestamp:
    field_type: DateTime
- Datetime:
    field_type: CreationDate
- Date:
    field_type: Date
- Time:
    field_type: CreationTime
- Time:
    field_type: DateTime
- Country: GenericTable.Country
- State: GenericTable.State
- Source:
    field_type: UserTable.Source
    max_cardinality: 10
- ProductCategory:
    field_type: ProductTable.Category
    max_cardinality: 10
dashboard_filters:
- Source
- Timestamp
- Date
- State
- Country
- ProductCategory
cards:
  - CountByTimestamp:
      title: Transactions over time
      visualization: line
      dimensions: Timestamp
      metrics: Count
      score: 100
      width: 18
      height: 6
  - CountByTimestamp:
      title: Transactions over time
      visualization: line
      dimensions: Date
      metrics: Count
      score: 90
      width: 18
      height: 6
  - DayOfWeekTimestamp:
      title: Transactions per day of the week
      visualization: bar
      dimensions:
        - Timestamp:
            aggregation: day-of-week
      metrics: Count
      score: 60
      width: 9
      height: 6
      x_label: "[[Timestamp]] by day of week"
  - DayOfWeekTimestamp:
      title: Transactions per day of the week
      visualization: bar
      dimensions:
        - Date:
            aggregation: day-of-week
      metrics: Count
      score: 50
      width: 9
      height: 6
      x_label: "[[Timestamp]] by day of week"
  - HourOfDayTimestamp:
      title: Transactions per hour of the day
      visualization: bar
      dimensions:
      - Timestamp:
          aggregation: hour-of-day
      metrics: Count
      score: 50
      width: 9
      height: 6
      x_label: "[[Timestamp]] by hour of day"
  - HourOfDayTimestamp:
      title: Transactions per hour of the day
      visualization: bar
      dimensions:
      - Time:
          aggregation: hour-of-day
      metrics: Count
      score: 40
      width: 9
      height: 6
      x_label: "[[Timestamp]] by hour of day"
  - MonthOfYearTimestamp:
      title: Transactions per month of the year
      visualization: bar
      dimensions:
        - Timestamp:
            aggregation: month-of-year
      metrics: Count
      score: 40
      width: 9
      height: 6
      x_label: "[[Timestamp]] by month of year"
  - MonthOfYearTimestamp:
      title: Transactions per month of the year
      visualization: bar
      dimensions:
        - Date:
            aggregation: month-of-year
      metrics: Count
      score: 30
      width: 9
      height: 6
      x_label: "[[Timestamp]] by month of year"
  - QuarterOfYearTimestamp:
      title: Transactions per quarter of the year
      visualization: bar
      dimensions:
        - Timestamp:
            aggregation: quarter-of-year
      metrics: Count
      score: 40
      width: 9
      height: 6
      x_label: "[[Timestamp]] by quarter of year"
  - QuarterOfYearTimestamp:
      title: Transactions per quarter of the year
      visualization: bar
      dimensions:
        - Date:
            aggregation: quarter-of-year
      metrics: Count
      score: 30
      width: 9
      height: 6
      x_label: "[[Timestamp]] by quarter of year"
